package com.steering.mes.zgmil.entity;

/**
 * 数据库表RTD_MEASURE_POSDATA所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2020-10-31
 */
public class RtdMeasurePosdataEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * ID值
     */
    private String keyId = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 材料号（管号）
     */
    private String matNo = "";
    /**
     * 长度(实际)mm
     */
    private String actLen = "";
    /**
     * 实重(实际)KG
     */
    private String actWeight = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键PK
     */
    private String ordLnDlyPk = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同交货行号
     */
    private String orderSeqNo = "";
    /**
     * 加工线订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 生产班次(1/2/3) ---早、中、晚
     */
    private String proBc = "";
    /**
     * 生产班组(1/2/3/4)--甲、乙、丙、丁
     */
    private String proBz = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 计量时间
     */
    private String msauerDate = "";
    /**
     * 标志位(00:正常值;10:作废)
     */
    private String flag = "";
    /**
     * 对应产销材料号
     */
    private String matNoCx = "";
    /**
     * 创建时间
     */
    private String createData = "";
    /**
     * 喷标信息
     */
    private String matInfo = "";
    /**
     * 在产合同号
     */
    private String proOrderNo = "";
    /**
     * 创建人
     */
    private String createUser = "";
    /**
     * 原始重量 --   转化成理论重量   实重保存在此
     */
    private String oraActWeight = "";

    /**
     * ID值
     * @return value
     */
    public String getKeyId() {
        return keyId;
    }

    /**
     * ID值
     * @param keyId value
     */
    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 材料号（管号）
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（管号）
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 长度(实际)mm
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)mm
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 实重(实际)KG
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 实重(实际)KG
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同交货行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同交货行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 加工线订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 加工线订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 生产班次(1/2/3) ---早、中、晚
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次(1/2/3) ---早、中、晚
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组(1/2/3/4)--甲、乙、丙、丁
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组(1/2/3/4)--甲、乙、丙、丁
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 计量时间
     * @return value
     */
    public String getMsauerDate() {
        return msauerDate;
    }

    /**
     * 计量时间
     * @param msauerDate value
     */
    public void setMsauerDate(String msauerDate) {
        this.msauerDate = msauerDate;
    }

    /**
     * 标志位(00:正常值;10:作废)
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 标志位(00:正常值;10:作废)
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 对应产销材料号
     * @return value
     */
    public String getMatNoCx() {
        return matNoCx;
    }

    /**
     * 对应产销材料号
     * @param matNoCx value
     */
    public void setMatNoCx(String matNoCx) {
        this.matNoCx = matNoCx;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateData() {
        return createData;
    }

    /**
     * 创建时间
     * @param createData value
     */
    public void setCreateData(String createData) {
        this.createData = createData;
    }

    /**
     * 喷标信息
     * @return value
     */
    public String getMatInfo() {
        return matInfo;
    }

    /**
     * 喷标信息
     * @param matInfo value
     */
    public void setMatInfo(String matInfo) {
        this.matInfo = matInfo;
    }

    /**
     * 在产合同号
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 在产合同号
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 创建人
     * @param createUser value
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    /**
     * 原始重量 --   转化成理论重量   实重保存在此
     * @return value
     */
    public String getOraActWeight() {
        return oraActWeight;
    }

    /**
     * 原始重量 --   转化成理论重量   实重保存在此
     * @param oraActWeight value
     */
    public void setOraActWeight(String oraActWeight) {
        this.oraActWeight = oraActWeight;
    }
}
